<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_647B90"
    tools:context=".main.MainCategoryActivity">


    <TextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp"
        android:text="@string/app_name"
        android:textColor="@color/color_text"
        android:textSize="18sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <LinearLayout
        android:id="@+id/up_image"
        android:layout_width="0dp"
        android:layout_height="130dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="17dp"
        android:background="@drawable/main_upload_image_bg"
        android:gravity="center"
        android:orientation="vertical"
        android:padding="10dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/layout_favorite"
        app:layout_constraintTop_toBottomOf="@id/tv_name">

        <ImageView
            android:layout_width="85dp"
            android:layout_height="85dp"
            android:padding="10dp"
            android:src="@drawable/im_upload_image"/>

        <TextView
            android:id="@+id/tv_upload"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/text_upload"
            android:textColor="@color/color_text"
            android:textSize="15sp" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_favorite"
        android:layout_width="0dp"
        android:layout_height="130dp"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/bg_main_category_like"
        android:gravity="center"
        android:orientation="vertical"
        android:padding="10dp"
        app:layout_constraintLeft_toRightOf="@id/up_image"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/up_image">

        <ImageView
            android:layout_width="85dp"
            android:layout_height="85dp"
            android:src="@drawable/icon_red_like_solid"
            android:padding="18dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:maxLines="2"
            android:text="@string/text_collection"
            android:textColor="@color/color_text"
            android:textSize="15sp" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerview"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="15dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_favorite" />


</androidx.constraintlayout.widget.ConstraintLayout>